Index: apps/app_dial.c
===================================================================
--- apps/app_dial.c	(revision 221273)
+++ apps/app_dial.c	(working copy)
@@ -1443,9 +1443,11 @@
 		   conversation.  */
 		hanguptree(outgoing, peer);
 		outgoing = NULL;
-		/* If appropriate, log that we have a destination channel */
-		if (chan->cdr)
+		/* If appropriate, log that we have a destination channel and set the answer time */
+		if (chan->cdr) {
 			ast_cdr_setdestchan(chan->cdr, peer->name);
+			ast_cdr_setanswer(chan->cdr, peer->cdr->answer);
+		}
 		if (peer->name)
 			pbx_builtin_setvar_helper(chan, "DIALEDPEERNAME", peer->name);
 
